> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add users to a team

> Adds users to a team by providing an array of user IDs.



## OpenAPI

````yaml /api-reference/openapi.json post /teams/{team_id}/users
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /teams/{team_id}/users:
    post:
      tags:
        - Teams
      summary: Add users to a team
      description: Adds users to a team by providing an array of user IDs.
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TeamUsersInput'
            example:
              users_ids:
                - 8546
      responses:
        '200':
          description: Users added to team successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TeamUserRelation'
              example:
                - team_id: 4246
                  user_id: 48429
                  created_at: '2026-01-20 19:59:53'
                  updated_at: '2026-01-20 19:59:53'
                  id: 178149
                  __meta__:
                    company_id: 2336
                    user:
                      id: 48429
                      first_name: Gonzalo
                      last_name: Test
                      email: test@projectcor.com
                      company_id: 2336
components:
  schemas:
    TeamUsersInput:
      type: object
      required:
        - users_ids
      properties:
        users_ids:
          type: array
          items:
            type: integer
          description: Array of user IDs to add or remove from the team
    TeamUserRelation:
      type: object
      properties:
        id:
          type: integer
          description: Team-User relation ID
        team_id:
          type: integer
          description: Team ID
        user_id:
          type: integer
          description: User ID
        created_at:
          type: string
          description: Creation timestamp in format YYYY-MM-DD HH:MM:SS
          example: '2026-01-21 14:09:52'
        updated_at:
          type: string
          description: Last update timestamp in format YYYY-MM-DD HH:MM:SS
          example: '2026-01-21 14:09:52'
        deleted_at:
          type: string
          format: date-time
          nullable: true
          description: Deletion timestamp (only present when removing users)
        __meta__:
          type: object
          properties:
            company_id:
              type: integer
              description: Company ID
            user:
              type: object
              properties:
                id:
                  type: integer
                first_name:
                  type: string
                last_name:
                  type: string
                email:
                  type: string
                  format: email
                company_id:
                  type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````